> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobileboost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update test

> Update the commands of an existing test case.



## OpenAPI

````yaml /openapi.json patch /tests
openapi: 3.0.2
info:
  title: MobileBoost API
  version: 1.0.0
servers:
  - url: https://api.mobileboost.io
security:
  - BearerAuth: []
paths:
  /tests:
    patch:
      summary: Update test
      description: Update the commands of an existing test case.
      operationId: update_test
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Update'
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema: {}
components:
  schemas:
    Update:
      title: Update
      required:
        - testId
        - commands
      type: object
      properties:
        testId:
          title: Test ID
          type: string
        commands:
          title: Commands
          type: array
          items:
            type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````